Package org.apache.sysds.utils.stats

## Class TransformStatistics

- java.lang.Object
- - org.apache.sysds.utils.stats.TransformStatistics

-     public class TransformStatistics
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransformStatistics()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `displayStatistics()` |
    `static long` | `getEncodeApplyTime()` |
    `static long` | `getEncodeBuildTime()` |
    `static void` | `incBinningApplyTime​(long t)` |
    `static void` | `incBinningBuildTime​(long t)` |
    `static void` | `incDummyCodeApplyTime​(long t)` |
    `static void` | `incEncoderCount​(long encoders)` |
    `static void` | `incFeatureHashingApplyTime​(long t)` |
    `static void` | `incImputeApplyTime​(long t)` |
    `static void` | `incImputeBuildTime​(long t)` |
    `static void` | `incMapSizeEstimationTime​(long t)` |
    `static void` | `incOmitApplyTime​(long t)` |
    `static void` | `incOutMatrixPostProcessingTime​(long t)` |
    `static void` | `incOutMatrixPreProcessingTime​(long t)` |
    `static void` | `incPassThroughApplyTime​(long t)` |
    `static void` | `incRecodeApplyTime​(long t)` |
    `static void` | `incRecodeBuildTime​(long t)` |
    `static void` | `incUDFApplyTime​(long t)` |
    `static void` | `reset()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformStatistics

          public TransformStatistics()

  - ### Method Detail

    - #### incEncoderCount

          public static void incEncoderCount​(long encoders)

    - #### incRecodeApplyTime

          public static void incRecodeApplyTime​(long t)

    - #### incDummyCodeApplyTime

          public static void incDummyCodeApplyTime​(long t)

    - #### incBinningApplyTime

          public static void incBinningApplyTime​(long t)

    - #### incUDFApplyTime

          public static void incUDFApplyTime​(long t)

    - #### incPassThroughApplyTime

          public static void incPassThroughApplyTime​(long t)

    - #### incFeatureHashingApplyTime

          public static void incFeatureHashingApplyTime​(long t)

    - #### incOmitApplyTime

          public static void incOmitApplyTime​(long t)

    - #### incImputeApplyTime

          public static void incImputeApplyTime​(long t)

    - #### incRecodeBuildTime

          public static void incRecodeBuildTime​(long t)

    - #### incBinningBuildTime

          public static void incBinningBuildTime​(long t)

    - #### incImputeBuildTime

          public static void incImputeBuildTime​(long t)

    - #### incOutMatrixPreProcessingTime

          public static void incOutMatrixPreProcessingTime​(long t)

    - #### incOutMatrixPostProcessingTime

          public static void incOutMatrixPostProcessingTime​(long t)

    - #### incMapSizeEstimationTime

          public static void incMapSizeEstimationTime​(long t)

    - #### getEncodeBuildTime

          public static long getEncodeBuildTime()

    - #### getEncodeApplyTime

          public static long getEncodeApplyTime()

    - #### reset

          public static void reset()

    - #### displayStatistics

          public static String displayStatistics()